Tab Mix Plus is incompatible with Firefox 17 - update it to fix the issue

Revision Information
  • Revision id: 34190
  • Created:
  • Creator: AliceWyman
  • Comment: "FF" changed to "Firefox".
  • Reviewed: Yes
  • Reviewed:
  • Reviewed by: AliceWyman
  • Is approved? Yes
  • Is current revision? No
  • Ready for localization: Yes
  • Readied for localization:
  • Readied for localization by: AliceWyman
Revision Source
Revision Content

Why was Tab Mix Plus marked incompatible with Firefox 17?

We received a number of reports that menu items were not working in Firefox 17. Further investigation showed the Tab Mix Plus was causing these issues. In an effort to provide the best experience for our users, we chose to mark the add-on incompatible.

What if I still want to use Tab Mix Plus?

Not to worry! There is a development build of Tab Mix Plus that seems to be working just fine. If you would still like to use Tab Mix Plus with Firefox 17, just download the development build from the author's website.

How do I install the dev build of Tab Mix Plus

  1. Visit the author's website
  2. Click on the link at the top of the page for Tab Mix Plus Dev-Build
  3. Save the xpi to your computer
  4. Once you have downloaded the xpi for Tab Mix Plus, just drag the xpi into an open Firefox window.